TV_GRAB_FI(1)

NAME
tv_grab_fi - Grab TV listings for Finland.

SYNOPSIS
tv_grab_fi --help

tv_grab_fi [--config-file FILE] --configure [--gui OPTION]

tv_grab_fi [--config-file FILE] [--output FILE] [--days N]
           [--offset N] [--quiet]

tv_grab_fi --list-channels

tv_grab_fi --capabilities

tv_grab_fi --version

DESCRIPTION
Output TV listings for several channels available in Finland. The data comes from www.telkku.com. The grabber relies on parsing HTML so it might stop working at any time.

First run tv_grab_fi --configure to choose, which channels you want to download. Then running tv_grab_fi with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_fi.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of XMLTV::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is 14 (22 days should be available).

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--list-channels Write output giving <channel> elements for every channel available (ignoring the config file), but no programmes.

--capabilities Show which capabilities the grabber supports. For more information, see <http://membled.com/twiki/bin/view/Main/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5).

AUTHOR
Ville Ahonen, (ville dot ahonen at iki dot fi). Based on previous version of tv_grab_fi by Matti Airas.

BUGS
The data source does not include full channels information and the channels are identified by short names rather than the RFC2838 form recommended by the XMLTV DTD.